# W standardowej bibliotece Pythona (bez żadnego pip install)
# mamy dostępny moduł urllib.request, który oferuje podstawowe, ale niezbyt wygodne wsparcie dla zapytań HTTP

ADRES = 'http://students.alx.pl/~pczarnik/alx-pyt-26-paz/zadania_domowe_2.pdf'

from urllib import request

response = request.urlopen(ADRES)
print(response)
print('kod', response.getcode())
print('info', response.info())

# Odczytujemy treść odpowiedzi:
dane = response.read()
# Dane w Pythonie są typu bytes - czyli ciąg bajtów
print('Typ danych w Pythonie:', type(dane))

with open('plik.pdf', mode='wb') as wynikowy:
    wynikowy.write(dane)

print('gotowe')
